## wxwidgets3.2 3.2.0+dfsg

=== debian/changelog ===
wxwidgets3.2 (3.2.0+dfsg-2) unstable; urgency=medium

  * Use indep overrides for docs and examples to fix FTBFS

 -- Scott Talbert <swt@techie.net>  Thu, 08 Sep 2022 17:50:15 -0400

wxwidgets3.2 (3.2.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #919903)

 -- Scott Talbert <swt@techie.net>  Fri, 22 Jul 2022 21:46:52 -0400
