## wxwidgets3.2 3.2.1

=== debian/changelog ===
wxwidgets3.2 (3.2.1-1.bullseye) stable; urgency=low

  * Non-maintainer upload.
  * A gtk+3 wx3.2.1 build especially for use by CodeLite.

 -- david <david@codelite.co.uk>  Sun, 11 Sep 2022 19:11:50 +0100
 
