=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file to build packages from wx source
#
# Sculpted 13/2/2000 by Ron Lee <ron@debian.org> from new and
# variously stolen code :-)
# It makes copious use of the debhelper utilities written by
# Joey Hess and others.

SHELL = /bin/bash

#export DH_VERBOSE=1


export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    JOB_COUNT := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  FAST_MAKE = $(MAKE) -j $(JOB_COUNT)
else
  FAST_MAKE = $(MAKE)
endif

# If another source package is to supply the common binary packages
# for a particular Debian release, then define this variable to indicate
# the $(release) that is expected to provide it.  Do not define it at
# all if this is to be the default (or only) wx source package for the
# target release.
#
# DEBIAN_WX_DEFAULT_VERSION = 2.8


# This will extract a flavour out of the changelog and flavour the
# packages and binaries with it.  'Official' builds should use a
# changelog entry with a source package of the form wxwidgets$RELEASE.
# Flavoured builds may use wxwidgets$RELEASE-$FLAVOUR, where any
# descriptive alphanumeric name will do for FLAVOUR.  This will allow
# a custom build to be installed alongside the mainline ones without
# conflict.
DEBIAN_WXFLAVOUR := unofficial


wx_major_version_number := 3
wx_minor_version_number := 2
wx_release_number       := 0
wx_subrelease_number    :=
soversion := 0


release  := $(wx_major_version_number).$(wx_minor_version_number)
sorelease := $(release:%-$(DEBIAN_WXFLAVOUR)=%)-$(soversion)$(addprefix -,$(DEBIAN_WXFLAVOUR))

# Base value for alternative priorities.
# For 'non-release' releases e.g. 3.1pre-390091c we need to amputate the non-numerical bit
numptrelease := $(shell echo $(release) | sed 's|\([0-9].[0-9]\).*|\1|')
alt_prio  := $(subst .,,$(numptrelease))

pytoolkit := gtk3
wxsubdir  := wx-$(compatible_release)-$(pytoolkit)-unicode

cross_host  := i586-mingw32msvc
cross_build := $(shell /usr/share/misc/config.guess)

config_cache  = /dev/null # Was ../config_deb.cache but in wx3.1.2 tiff, expat errored out with the message "error: `CC' was not set in the previous run"
config_cache_cross = ../config_deb_cross.cache


# build options
COMMON_CONFIGURE_OPTIONS := \
    --prefix=/usr \
    --cache-file=$(config_cache) \
    --enable-cxx11 \
    --with-flavour=$(DEBIAN_WXFLAVOUR) \
    --with-zlib=builtin \
    --with-expat=builtin

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
COMMON_CONFIGURE_OPTIONS += --disable-optimise
endif

BASE_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --disable-gui \
	--enable-debug --enable-debug_gdb \
	--enable-optimise \
	--libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

# I've removed the --with-libtiff=builtin. That's because for 3.1.14, somehow the libtiff
# 'configure' couldn't recognise a passed $exec_prefix, substituting "None".
# Understandably, this broke the build; and a builtin libtiff isn't _that_ important anyway
GTK_CONFIGURE_OPTIONS = $(COMMON_CONFIGURE_OPTIONS) \
    --with-gtk \
    --enable-debug --enable-debug_gdb \
    --enable-optimise \
    --enable-display \
    --enable-geometry \
    --enable-graphics_ctx \
    --enable-mediactrl \
    --enable-sound \
    --enable-webview \
    --with-gtk=3 \
    --with-libjpeg=builtin \
    --with-libpng=builtin \
    --with-opengl \
    --with-sdl \
    --libdir=\$${exec_prefix}/lib/$(DEB_HOST_MULTIARCH)

MSW_CONFIGURE_OPTIONS = \
    --enable-display \
    --with-msw \
    --with-opengl

# For the MSW packages, enabling threads in wx means that your application will
# have a dependency on mingwm10.dll.  If you don't use threads, this is just an
# annoyance, so default to disabling them.  If you want a wx package to use in
# a threaded application then comment out the next line.
MSW_CONFIGURE_OPTIONS += --disable-threads

# Packages to build:
package_wxbase_lib      := libwxbase$(sorelease)
package_wxbase_dbg      := libwxbase$(sorelease)-dbg
package_wxbase_dev      := libwxbase$(release)$(DEBIAN_WXFLAVOUR)-dev

package_gtk_lib         := libwxgtk$(sorelease)
package_gtk_dbg         := libwxgtk$(sorelease)-dbg
package_gtk_dev         := libwxgtk$(release)$(DEBIAN_WXFLAVOUR)-dev

package_gtkmedia_lib    := libwxgtk-media$(sorelease)
package_gtkmedia_dbg    := libwxgtk-media$(sorelease)-dbg
package_gtkmedia_dev    := libwxgtk-media$(release)$(DEBIAN_WXFLAVOUR)-dev

package_gtkwebview_lib    := libwxgtk-webview$(sorelease)
package_gtkwebview_dbg    := libwxgtk-webview$(sorelease)-dbg
package_gtkwebview_dev    := libwxgtk-webview$(release)$(DEBIAN_WXFLAVOUR)-dev

package_headers         := wx$(release)-headers
package_i18n            := wx$(release)-i18n
package_examples        := wx$(release)-examples
package_common           = wx-common

# The packages listed here are common to all wx versions, and may be provided
# by another source package if more than one is in the release simultaneously.
common_packages	:= $(package_common)


package_msw_dev         := libwxmsw$(release)-dev
package_headers_msw     := wx$(release)-headers-msw

# The packages listed here will not be built by default.
do_not_build_packages :=
ifdef DEBIAN_WX_DEFAULT_VERSION
do_not_build_packages += $(common_packages)
endif


# Build directories:
objdir_wxbase_shared       = objs_wxbase_sh
objdir_gtk_shared          = objs_gtk_sh
objdir_gtk_install         = objs_gtk_install
objdir_examples            = docs/examples
objdir_i18n                = locale

objdir_msw_shared          = objs_msw_sh
objdir_msw_static          = objs_msw_st
objdir_msw_install         = objs_msw_install

objdirs := $(objdir_wxbase_shared) $(objdir_gtk_shared) $(objdir_gtk_install) \
	   $(objdir_examples) \
	   $(objdir_msw_shared) $(objdir_msw_static) $(objdir_msw_install)

#	note that the i18n package is actually arch indep (once built)
#	but must be built (and installed) during the arch any phase as
#	it's pulled out of the wxGTK shared lib package.


# Build stamps:
build_arch_stamps = build-wxbase-shared-stamp \
                    build-gtk-shared-stamp build-gtk-shared-contrib-stamp \
                    build-i18n-stamp

build_indep_stamps = build-examples-stamp

build_cross_stamps = build-msw-shared-stamp build-msw-static-stamp

build_stamps_native := $(build_arch_stamps) $(build_indep_stamps)

build_stamps := $(build_stamps_native) $(build_cross_stamps)


# Install targets:
install_all_arch = install-wxbase-lib install-wxbase-dev   \
                   install-gtk-lib install-gtk-dev      \
		   install-gtkmedia-lib install-gtkmedia-dev \
		   install-gtkwebview-lib install-gtkwebview-dev \
                   install-headers install-i18n

ifndef DEBIAN_WX_DEFAULT_VERSION

  install_all_arch += install-common

endif

install_all_indep = install-examples

install_all_cross = install-msw-dev install-headers-msw

install_all_native := $(install_all_arch) $(install_all_indep)

install_all := $(install_all_native) $(install_all_cross)


# The Rules:

config.guess config.sub:
	ln -sf /usr/share/misc/config.guess /usr/share/misc/config.sub .

# No, don't do this for gtk3 builds: it overwrites the correct dev-packages name
#debian/control: debian/control.in
#	sed -e 's/=V/$(release)/g;s/=SOV/$(sorelease)/g'\
#		< debian/control.in > debian/control

control-files-stamp: debian/control
	dh_testdir
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_wxbase_dev).$$f";    \
		sed -e  's/=V/$(numptrelease)-$(DEBIAN_WXFLAVOUR)/g;s/=PRIO/$(alt_prio)/g;s/=MA/$(DEB_HOST_MULTIARCH)/g' \
			< debian/libwxbase-dev.$$f                           \
			> debian/$(package_wxbase_dev).$$f;                  \
	done
	@for f in postinst prerm; do                                         \
		echo "generating control file $(package_gtk_dev).$$f";       \
