## wxwidgets3.2 3.2.1+dfsg

=== debian/changelog ===
wxwidgets3.2 (3.2.1+dfsg-4) unstable; urgency=medium

  * Fix compilation when using matrix.h (Closes: #1027015)
  * Fix reproducibility issue with usrmerged vs non-usrmerged
  * Update Standards-Version to 4.6.2 (no changes needed)
  * Enable hardening
  * Remove obsolete Build-Depends/Depends
  * d/watch: Switch to GitHub API since releases broken w/ uscan

 -- Scott Talbert <swt@techie.net>  Sat, 31 Dec 2022 09:37:25 -0500

wxwidgets3.2 (3.2.1+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Scott Talbert <swt@techie.net>  Tue, 27 Dec 2022 10:20:52 -0500

wxwidgets3.2 (3.2.1+dfsg-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and g++.

  [ Scott Talbert ]
  * Rebuild with wxGLCanvas using GLX (changes ABI) (Closes: #1024147)
  * Reintroduce patch to force X11 when wxGLCanvas is used
  * Move gl library to its own binary package

 -- Scott Talbert <swt@techie.net>  Fri, 23 Dec 2022 11:37:52 -0500

wxwidgets3.2 (3.2.1+dfsg-1) unstable; urgency=medium

  * Update to new upstream release 3.2.1
  * Enable building wx-common

 -- Scott Talbert <swt@techie.net>  Sun, 11 Sep 2022 11:56:11 -0400
