=== debian/control ===
--- 
+++ 
@@ -4,37 +4,37 @@
 Build-Depends-Indep: doxygen,
                      graphviz,
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.16.1~),
-               g++ (>= 4:5.2),
                gettext,
                libexpat1-dev,
-               libgl1-mesa-dev | libgl-dev,
-               libglu1-mesa-dev | libglu-dev,
+               libgl-dev,
+               libglu1-mesa-dev,
                libgstreamer-plugins-bad1.0-dev,
                libgtk-3-dev,
                libjpeg-dev,
                libnotify-dev,
                libpng-dev,
                libsm-dev,
-               libtiff5-dev,
+               libtiff-dev,
                libwebkit2gtk-4.0-dev,
                libxt-dev,
                zlib1g-dev,
 Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
 Uploaders: Olly Betts <olly@survex.com>,
            Scott Talbert <swt@techie.net>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/freewx-team/wxwidgets3.2.git
 Vcs-Browser: https://salsa.debian.org/freewx-team/wxwidgets3.2
 Homepage: https://www.wxwidgets.org/
 Rules-Requires-Root: no
 
-Package: libwxbase3.2-0
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
+Package: libwxbase3.2-1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxbase3.2-0
+Replaces: libwxbase3.2-0
 Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
  wxBase is a collection of C++ classes providing basic data structures
  (strings, lists, arrays), powerful wxDateTime class for date manipulations,
@@ -49,12 +49,14 @@
  classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
  this package to build or use wxWidgets GUI apps.
 
-Package: libwxgtk3.2-0
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
+Package: libwxgtk3.2-1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk3.2-0
+Replaces: libwxgtk3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -67,12 +69,13 @@
 Package: libwxgtk3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libgl1-mesa-dev | libgl-dev,
-         libwxbase3.2-0 (= ${binary:Version}),
-         libwxgtk3.2-0 (= ${binary:Version}),
+Depends: libgl-dev,
+         libglu1-mesa-dev,
+         libwxbase3.2-1 (= ${binary:Version}),
+         libwxgtk-gl3.2-1 (= ${binary:Version}),
+         libwxgtk3.2-1 (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
-         xlibmesa-glu-dev | libglu-dev,
          ${misc:Depends},
 Multi-Arch: same
 Suggests: gettext,
@@ -88,12 +91,28 @@
  .
  This package also provides the wx-config script.
 
-Package: libwxgtk-media3.2-0
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
+Package: libwxgtk-gl3.2-1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 gl library runtime)
+ wxWidgets (formerly known as wxWindows) is a class library for C++ providing
+ GUI components and other facilities on several popular platforms (and some
+ unpopular ones as well).
+ .
+ This package provides the media shared libraries needed to run programs linked
+ against libwx_gtk3u_gl.
+
+Package: libwxgtk-media3.2-1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-media3.2-0
+Replaces: libwxgtk-media3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -105,7 +124,7 @@
 Package: libwxgtk-media3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-media3.2-0 (= ${binary:Version}),
+Depends: libwxgtk-media3.2-1 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
@@ -121,12 +140,14 @@
  This package provides files needed to compile wxWidgets programs using the
  wxMediaCtrl class.
 
-Package: libwxgtk-webview3.2-0
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
+Package: libwxgtk-webview3.2-1
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-webview3.2-0
+Replaces: libwxgtk-webview3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -138,7 +159,7 @@
 Package: libwxgtk-webview3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-webview3.2-0 (= ${binary:Version}),
+Depends: libwxgtk-webview3.2-1 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
